
From: "Leigh Brown" <leigh@solinno.co.uk>

This patch restores the original behaviour of prep_pcibios_fixup() to only
call prep_pib_init() on machines with an openpic.  This allows the
Powerstack II Pro4000 to boot again.

Signed-off-by: Leigh Brown <leigh@solinno.co.uk>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/ppc/platforms/prep_pci.c |    9 +++++++--
 1 files changed, 7 insertions(+), 2 deletions(-)

diff -puN arch/ppc/platforms/prep_pci.c~ppc32-make-the-powerstack-ii-pro4000-boot-again arch/ppc/platforms/prep_pci.c
--- 25/arch/ppc/platforms/prep_pci.c~ppc32-make-the-powerstack-ii-pro4000-boot-again	2005-04-10 15:09:02.000000000 -0700
+++ 25-akpm/arch/ppc/platforms/prep_pci.c	2005-04-10 15:09:02.000000000 -0700
@@ -1245,8 +1245,13 @@ prep_pcibios_fixup(void)
 		pci_write_config_byte(dev, PCI_INTERRUPT_LINE, dev->irq);
 	}
 
-	/* Setup the Winbond or Via PIB */
-	prep_pib_init();
+	/* Setup the Winbond or Via PIB - prep_pib_init() is coded for
+	 * the non-openpic case, but it breaks (at least) the Utah
+	 * (Powerstack II Pro4000), so only call it if we have an
+	 * openpic.
+	 */
+	if (have_openpic)
+		prep_pib_init();
 }
 
 static void __init
_
